#include "PS_Editor_HUD.h"
#include "PS_Editor_MainWidget.h"
#include "Blueprint/UserWidget.h"

void APS_Editor_HUD::BeginPlay()
{
	Super::BeginPlay();

	if (APlayerController* PC = GetOwningPlayerController())
	{
		MainWidget = CreateWidget<UPS_Editor_MainWidget>(PC, UPS_Editor_MainWidget::StaticClass());
		if (MainWidget)
		{
			MainWidget->AddToViewport(0);
		}
	}
}
